<script setup lang="ts">
import { defineProps, computed } from "vue";
import { RouterLink } from "vue-router";
import TopExperiences from "@/components/TopExperiences.vue";
import data from "@/assets/data.json";

const props = defineProps(['id']);

const destination = computed(() => {
  return data.destinations.find(dest => dest.id === props.id)
});
</script>

<template>
  <div>
    <h1>{{ destination?.name }}</h1>
    <RouterLink to="/"><Button>Back</Button></RouterLink>
    <div class="detail">
      <img :src="'../../public/images/' + destination?.image">
      <p class="desc">{{ destination?.description }}</p>
    </div>

    <div v-if="destination?.experiences">
      <div v-for="exp in destination?.experiences" :key="exp.slug">
        <RouterLink :to="'/destination/' + destination?.id + '/' + destination?.slug + '/' + exp.slug">
          <TopExperiences :experience="exp"></TopExperiences>
        </RouterLink>
      </div>
    </div>
  </div>
</template>


<style scoped>
.detail {
  display: flex;
  flex-direction: row;
  margin: 30px;
}
img {
  width: 600px;
}

.desc {
  margin-left: 20px;
  text-align: justify;
}
</style>